Bug 1282152 - [abrt] plasma-workspace: SNIProxy::getImageNonComposite(): xembedsniproxy killed by SIGSEGV
[abrt] plasma-workspace: SNIProxy::getImageNonComposite(): xembedsniproxy kil...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: plasma-workspace (Show other bugs)
22
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: KDE SIG
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:66c3f5656bd0c7351316eb364aa...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-15 01:33 EST by Kriton Kyrimis
Modified: 2016-07-19 14:28 EDT (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 14:28:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (25.79 KB, text/plain)
2015-11-15 01:33 EST, Kriton Kyrimis
no flags Details
File: cgroup (190 bytes, text/plain)
2015-11-15 01:33 EST, Kriton Kyrimis
no flags Details
File: core_backtrace (6.01 KB, text/plain)
2015-11-15 01:33 EST, Kriton Kyrimis
no flags Details
File: dso_list (13.37 KB, text/plain)
2015-11-15 01:33 EST, Kriton Kyrimis
no flags Details
File: environ (2.13 KB, text/plain)
2015-11-15 01:33 EST, Kriton Kyrimis
no flags Details
File: limits (1.29 KB, text/plain)
2015-11-15 01:33 EST, Kriton Kyrimis
no flags Details
File: maps (62.61 KB, text/plain)
2015-11-15 01:34 EST, Kriton Kyrimis
no flags Details
File: mountinfo (3.56 KB, text/plain)
2015-11-15 01:34 EST, Kriton Kyrimis
no flags Details
File: namespaces (85 bytes, text/plain)
2015-11-15 01:34 EST, Kriton Kyrimis
no flags Details
File: open_fds (517 bytes, text/plain)
2015-11-15 01:34 EST, Kriton Kyrimis
no flags Details
File: proc_pid_status (1013 bytes, text/plain)
2015-11-15 01:34 EST, Kriton Kyrimis
no flags Details
File: var_log_messages (246 bytes, text/plain)
2015-11-15 01:34 EST, Kriton Kyrimis
no flags Details

  None (edit)
Description Kriton Kyrimis 2015-11-15 01:33:43 EST
Description of problem:
Happened during logging in to the desktop.

Version-Release number of selected component:
plasma-workspace-5.4.3-1.fc22

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /bin/xembedsniproxy
crash_function: SNIProxy::getImageNonComposite
executable:     /usr/bin/xembedsniproxy
global_pid:     7262
kernel:         4.2.5-201.fc22.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 SNIProxy::getImageNonComposite at ../../xembed-sni-proxy/sniproxy.cpp:234
 #1 SNIProxy::update at ../../xembed-sni-proxy/sniproxy.cpp:193
 #2 FdoSelectionManager::nativeEventFilter at ../../xembed-sni-proxy/fdoselectionmanager.cpp:134
 #3 QAbstractEventDispatcher::filterNativeEvent at kernel/qabstracteventdispatcher.cpp:460
 #4 QXcbConnection::handleXcbEvent at qxcbconnection.cpp:997
 #5 QXcbConnection::processXcbEvents at qxcbconnection.cpp:1487
 #6 QObject::event at kernel/qobject.cpp:1246
 #7 QCoreApplication::notify at kernel/qcoreapplication.cpp:1038
 #8 QCoreApplication::notifyInternal at kernel/qcoreapplication.cpp:965
 #9 sendEvent at kernel/qcoreapplication.h:224

Potential duplicate: bug 1280339
Comment 1 Kriton Kyrimis 2015-11-15 01:33:49 EST
Created attachment 1094312 [details]
File: backtrace
Comment 2 Kriton Kyrimis 2015-11-15 01:33:51 EST
Created attachment 1094313 [details]
File: cgroup
Comment 3 Kriton Kyrimis 2015-11-15 01:33:52 EST
Created attachment 1094314 [details]
File: core_backtrace
Comment 4 Kriton Kyrimis 2015-11-15 01:33:55 EST
Created attachment 1094315 [details]
File: dso_list
Comment 5 Kriton Kyrimis 2015-11-15 01:33:56 EST
Created attachment 1094316 [details]
File: environ
Comment 6 Kriton Kyrimis 2015-11-15 01:33:58 EST
Created attachment 1094317 [details]
File: limits
Comment 7 Kriton Kyrimis 2015-11-15 01:34:01 EST
Created attachment 1094318 [details]
File: maps
Comment 8 Kriton Kyrimis 2015-11-15 01:34:03 EST
Created attachment 1094319 [details]
File: mountinfo
Comment 9 Kriton Kyrimis 2015-11-15 01:34:05 EST
Created attachment 1094320 [details]
File: namespaces
Comment 10 Kriton Kyrimis 2015-11-15 01:34:06 EST
Created attachment 1094321 [details]
File: open_fds
Comment 11 Kriton Kyrimis 2015-11-15 01:34:08 EST
Created attachment 1094322 [details]
File: proc_pid_status
Comment 12 Kriton Kyrimis 2015-11-15 01:34:10 EST
Created attachment 1094323 [details]
File: var_log_messages
Comment 13 Oliver Sampson 2015-11-24 04:15:00 EST
Another user experienced a similar problem:

While logging out.

reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /bin/xembedsniproxy
crash_function: SNIProxy::getImageNonComposite
executable:     /usr/bin/xembedsniproxy
global_pid:     1814
kernel:         4.2.5-201.fc22.x86_64
package:        plasma-workspace-5.4.3-1.fc22
reason:         xembedsniproxy killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 14 Oliver Sampson 2016-01-15 08:23:05 EST
Another user experienced a similar problem:

When executing a program from the command line (SABnzbd) which then opens a window in a browser, the problem occured.

reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/bin/xembedsniproxy
crash_function: SNIProxy::getImageNonComposite
executable:     /usr/bin/xembedsniproxy
global_pid:     9529
kernel:         4.2.8-200.fc22.x86_64
package:        plasma-workspace-5.5.1-1.fc22
reason:         xembedsniproxy killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 15 Fedora End Of Life 2016-07-19 14:28:26 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.